local NeuralNetwork = require('LCV.neural_network')
local LCV = require('LCV.LCV')


local network = NeuralNetwork.create(2, 1, 1, 6, .3)
local image = LCV.toBinary(love.image.newImageData( "images/bird1.png" ))
local points = LCV.getLengthsPerInterval(image, 32)
local centX, centY = LCV.getCentriod(image)
image = LCV.extractEdges(image)


for i, pointPair in ipairs(points) do
	print(pointPair.max[1], pointPair.max[2], pointPair.max[3], i)

	print(pointPair.min[1],pointPair.min[2], pointPair.min[3], i)
end

function love.load()
	love.graphics.setBackgroundColor(1,0,1,1)
end

function love.draw()
	love.graphics.scale(.90, .90)
	love.graphics.setColor(0,0,0)
	for y, row in ipairs(image) do
		for x, val in ipairs(row) do
			if val == 1 then
				love.graphics.rectangle('fill', (x-1)*1,(y-1)*1, 1, 1)
			end
		end
	end

	love.graphics.setColor(1,1,1)
	love.graphics.circle('fill', centX, centY, 5, 4)

	for i, pointPair in ipairs(points) do
		love.graphics.setColor(1,1,1)
		love.graphics.circle('fill', pointPair.max[2], pointPair.max[3], 10, 4)
		love.graphics.setColor(0,0,0)
		love.graphics.circle('line', pointPair.min[2], pointPair.min[3], 20, 4)
	end


end


